package overflow_gateway_websocket

import (
	"flag"

	cc "git.loafle.net/commons_go/config"
	"git.loafle.net/overflow/overflow_gateway_websocket/config"
)

func init() {
	configPath := flag.String(ConfigPathFlagName, "./", "The path of config file")

	flag.Parse()

	cc.SetConfigPath(*configPath)
	if err := cc.Load(&config.Config, ConfigFileName); nil != err {
		panic(err)
	}
}
